import Prelude hiding (filter, head)

import System.Environment

-- From Berengal on #Haskell.

head (x:_) = x

filter _ [] = []
filter p (x:xs) | p x = x:filter p xs
                | otherwise = filter p xs

primes = 2: filter isPrime [3,5..]

isPrime n = n == head (factorize n)

factorize 0 = [0]
factorize n | n < 0 = (-1):factorize (-n)
            | otherwise = factorize' n primes
    where factorize' 1 _ = []
          factorize' n (p:ps) | p*p > n = [n]
                              | mod n p == 0 = p : factorize' (div n p) (p:ps)
                              | otherwise = factorize' n ps

main = do
	[x] <- getArgs
	let y = primes !! (read x)::Int
	print (y, y)
	return ()
